@echo *******************************************************************************
@echo Assembling MON
@echo *******************************************************************************

tasm /l MPFVIP88.asm >err.txt

if errorlevel 1 goto errasm
if not exist MPFVIP88.obj goto errasm

@echo *******************************************************************************
@echo Linking BIOS
@echo *******************************************************************************
warplink  MPFVIP88.obj,MPFVIP88.exe
if not exist MPFVIP88.exe goto errlink

@echo *******************************************************************************
@echo Building ROM Images
@echo *******************************************************************************

exe2rom /4 MPFVIP88.exe MPFVIP88.bin
del MPFVIP88.exe


:errasm
@echo.
@echo.
@echo *******************************************************************************
@echo ERROR: Error assembling MON
@echo *******************************************************************************
goto end

:errlink
@echo.
@echo.
@echo *******************************************************************************
@echo ERROR: Error linking MON
@echo *******************************************************************************
goto end

:end

;pause

